get
https://{artifactory_host}/artifactory/api//
Returns an artifact from the specified destination.
You can also use properties in deployment and resolution as part of retrieving artifacts.
Special tokens for retrieving latest versions:
- Latest Maven Release/Integration: Specify SNAPSHOT or [RELEASE] for the version in the requested path to get the latest Maven integration or release artifact.
- Latest Non-Maven Release/Integration: Specify [INTEGRATION] and [RELEASE] for the version in the requested path (replacing [folderItegRev] and [fileItegRev], as defined by the repository's Repository Layouts) to get the latest integration version or latest release version artifact accordingly based on alphabetical sorting.
Notes:
- Integration and release tokens cannot be mixed together.
- Only local, cache and virtual repositories will be used for latest version resolution.
- To change the retrieve latest behavior to retrieve the latest version based on the created date, add
artifactory.request.searchLatestReleaseByDateCreated=truetoartifactory.system.propertiesand restart Artifactory. - Both [folderItegRev] and [fileItegRev] have to be defined in the repository layout.
- Latest version resolution requires Artifactory Pro.
Since: Latest Maven: 2.6.0; Latest non-Maven: 2.6.2 Security: Requires a user with 'read' permission (can be anonymous)
